Issue 26855

Summary: Paste special: Options to keep Notes or cell content
Product: Calc Reporter: ooo
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, rb.henschel
Version: OOo 1.1.1RC   
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description ooo 2004-03-23 10:18:40 UTC
When you only select "Notes" when using "Paste special" then you erase the content of the 
cell. 
 
The note is pasted though.
Comment 1 ooo 2004-03-23 10:24:42 UTC
And the other way around also. 
 
When you select some value to be pasted and not "Notes" then the note is erased but the 
value is pasted. 
 
Maybe you see is as a feature. If you mean it is a feature then I want to address this as a 
wanted feature so you have extra options when pasting special which say: 
 
[X] Keep notes 
[ ] Keep content 
 
Comment 2 frank 2004-03-23 11:13:45 UTC
Hi,

this is not a bug and also not an feature request.

It works as expected. Paste means insert the content of the clipboard not taking
care of the containing values in this cell. Same is for paste special except
using only formats. For all others the Operations section of the paste special
dialog has to be used.

Also the Priority is mutch to high.

Frank
Comment 3 frank 2004-03-23 11:14:04 UTC
closed invalid
Comment 4 ooo 2004-03-23 14:00:07 UTC
If you won't consider it a defect or a feature then it is a request for 
enhancement. 
 
So I reopen the issue with another Summary.  
 
The original summary was: "Paste special: Notes erase cell content" 
 
If you still don't consider this an issue then I would really like to know how I 
can copy notes to cells without erasing the content of the cells. 
 
 
Comment 5 ooo 2004-03-23 14:28:53 UTC
I have thought more about it and as a user I will consider this issue a defect 
because it doesn't work as you expect it to work. 
 
In the "Paste special" dialog you select what you want to paste and deselect 
what you want to keep in the target cells. 
 
So it is not obvicious that you erase the cell content when you only select to 
paste "Notes". 
 
Comment 6 frank 2004-03-23 15:28:27 UTC
Hi,

so you have'nt read my latest comment in the correct way.

Paste means paste anyway the content of the clipboard.
Paste Special just means paste only parts of the clipboard. No difference
between Calc and Excel.
If you want a part of the clipboard pasted to the cell *and* you will keep the
content of the cell, just select Add in the Operations section of the dialog.

Normaly I've to close this one as invalid again, but I re-assign it to the
feature group to comment on it.

Falko please take over.

Frank
Comment 7 ooo 2004-03-23 17:30:39 UTC
I have done some more investigation after reading your last post. 
 
I can paste notes by selecting one of the other "Operations" than "None". But 
it is not obvicious - the obvicious choice whould be "None" or as a compromise 
an additional option "Keep cell content". 
 
But when I try to paste cell content to a cell containing a note by selecting 
one the other "Operation" than "None" does not prevent the note to be deleted. 
 
The best solution would be to keep the cell content like pasting formats. 
 
And don't paste an empty note if "Notes" is deselected. 
 
I don't think that OOo should be a compromise office suite but be as intuitive 
as possible. 
 
I have now talked with other office suite users and they said that they 
predict the operation of pasting notes alone whould keep the cell content 
intact. So they see it as a defect as well. 
Comment 8 falko.tesch 2004-03-26 09:05:01 UTC
FT: I do not want to make a final decision here but leave it to Bettina. 
But here are my 2 cts.:
Paste special does what is says: It pasttes only the content that is marked. No
more no less. If you deselct the content (Numbers) that you don't get them. It's
that easy.
I do not see why Notes should get an extra treatment. So from my perspective
this issue is to be turned dowm.
Bettina?
Comment 9 ooo 2004-03-29 06:22:21 UTC
The problem isn't that you don't get the numbers (cell content) when you 
deselect them. 
 
The problem is that you delete the cell content in the cell you paste to. 
 
When you only select "Formats" then the content isn't deleted - why? 
 
Now I have spoken with more users about this issue and just tell them to copy 
and paste a note - and everyone of the users say that it doesn't do what they 
expected (but supprisingly quickly accept that the software doesn't work as 
expected and thought that nothing could be done about it). 
 
Try and ask the average user to do the same task and let them tell you what 
they expect happen before they do each step. And let them also tell you their 
reactions when the application doesn't do what they expected. 
 
I'll change the issue type to Defect because that is how the users (not the 
developers) see this issue. 
Comment 10 frank 2004-03-29 08:58:20 UTC
It's not a defect as it works as intended. So this could be only an enhancement
request if ever. 

So please don't change Issue types if they are set by an QA guy.

Frank
Comment 11 ooo 2004-03-29 10:30:35 UTC
Don't start Microsofting: "it is not a bug it is a feature". 
 
When users see it as a bug or defect then it is even if you as a developers sees it 
as a feature. 
 
If 2 + 2 gives 3 then maybe it works as intended but most users will see it as a 
defect. 
 
If it works as inteded then the defect is in the design and not the 
implementation - but it is still a defect. 
 
It is inteded that when you select either "Operation" then it work as what you 
supposed it would when you select "None" for "Operation"????? 
Comment 12 frank 2004-03-29 11:03:06 UTC
Hi,

if you paste something into a cell, the values in this cell will be overwritten.
Paste Special in this case is just that you *can* insert items of special
interest into a cell. So this functionality is for convenience of the user.
Formats are handled in this case different because pasting formats into an cell
and deleting the content of the cell will not make any sense. So we *add* the
formats to the cell. You may say this is the same for Notes, but that's in my
opinion not the case. It could make sense that you want to paste a note into an
existing cell deleting it's content, it could make sense to add them to a cell,
but it's not that easy to erase an unwanted note from a cell which should not
have one. Therefore the Operations section in the dialog is available to give
the user the opportunity to choose if he wants to add a Note or replace the
content of cell with a note. This is how pasting works.

To change this, if ever, this has to go it's way through the departments
starting as an Request for Enhancement. This is the way and it's not as you
blame us.

Frank
Comment 13 ace_dent 2008-05-16 02:55:32 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 14 ftack 2008-06-20 10:46:45 UTC
This is certainly a useability issue, and more! A less than nice side effect of
this design is that it is impossible to paste a different number in a cell
without loosing the note!

* Create a cell with a number and a note
* Copy a different number from another cell
* Try to paste the different number in the first cell, conserving the note

-> selecting "none" deletes the note. Selecting another operation keeps the
note, but corrupts the copied number!

Comment 15 Regina Henschel 2010-04-24 15:14:56 UTC
*** Issue 108731 has been marked as a duplicate of this issue. ***
Comment 16 Regina Henschel 2010-04-24 15:18:07 UTC
*** Issue 110094 has been marked as a duplicate of this issue. ***
Comment 17 Regina Henschel 2010-04-24 15:20:58 UTC
See also issue 56299, which should not be closed, but set to duplicate.
Comment 18 bettina.haberer 2010-05-21 14:49:35 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".